### Method

# EDataServerUI4 CredentialsPrompter process_source

since: 3.16

#### Declaration [src]

    gboolean
    e_credentials_prompter_process_source (
      ECredentialsPrompter* prompter,
      ESource* source
    )

#### Description [src]

Continues a credential prompt for `source`. Returns, whether anything will be done. The `FALSE` either means that the `source`‘s connection status is not the `E_SOURCE_CONNECTION_STATUS_AWAITING_CREDENTIALS` or it is disabled.

Available since: 3.16

#### Parameters

`source`

  Type: `ESource`

  An `ESource`.

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

Whether continues with the credentials prompt.